## prank 0.0.170427%2Bdfsg

=== src/Makefile ===
#############################################################################
# Makefile for building: prank
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -m64 -pipe -O3 $(DEFINES)
CXXFLAGS      = -m64 -pipe -O3 $(DEFINES)
INCPATH       = -I. -I/usr/include
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)    
AR            = ar cqs
RANLIB        = 
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
POD2MAN       = pod2man --utf8 --center "The Probabilistic Alignment Kit" -release="v.121211"

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = writefile.cpp \
		treenode.cpp \
		translatesequences.cpp \
		terminalsequence.cpp \
		terminalnode.cpp \
		site.cpp \
		sequence.cpp \
		readnewick.cpp \
		readfile.cpp \
		readalignment.cpp \
		pwsite.cpp \
		pwhirschberg.cpp \
		progressivealignment.cpp \
		prank.cpp \
		postprobability.cpp \
		phylomatchscore.cpp \
		node.cpp \
		intmatrix.cpp \
		hmmodel.cpp \
		hirschberg.cpp \
		guidetree.cpp \
		fullprobability.cpp \
		flmatrix.cpp \
		eigen.cpp \
		dbmatrix.cpp \
		characterprobability.cpp \
		boolmatrix.cpp \
		ancestralsequence.cpp \
		ancestralnode.cpp \
		check_version.cpp \
		exonerate_reads.cpp \
		mafft_alignment.cpp \
		bppancestors.cpp 
OBJECTS       = writefile.o \
		treenode.o \
		translatesequences.o \
		terminalsequence.o \
		terminalnode.o \
		site.o \
		sequence.o \
		readnewick.o \
		readfile.o \
		readalignment.o \
		pwsite.o \
		pwhirschberg.o \
		progressivealignment.o \
		prank.o \
		postprobability.o \
		phylomatchscore.o \
		node.o \
		intmatrix.o \
		hmmodel.o \
		hirschberg.o \
		guidetree.o \
		fullprobability.o \
		flmatrix.o \
		eigen.o \
		dbmatrix.o \
		characterprobability.o \
		boolmatrix.o \
		ancestralsequence.o \
		ancestralnode.o \
		check_version.o \
		exonerate_reads.o \
		mafft_alignment.o \
		bppancestors.o
DESTDIR       = 
TARGET        = prank

MANPAGES      = prank.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules


all: Makefile $(TARGET) $(MANPAGES)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

compiler_clean: 

####### Compile

writefile.o: writefile.cpp writefile.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o writefile.o writefile.cpp

treenode.o: treenode.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		writefile.h \
		hirschberg.h \
		phylomatchscore.h \
		terminalsequence.h \
		fullprobability.h \
		postprobability.h \
		characterprobability.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o treenode.o treenode.cpp

translatesequences.o: translatesequences.cpp translatesequences.h \
		config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o translatesequences.o translatesequences.cpp

terminalsequence.o: terminalsequence.cpp terminalsequence.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		config.h \
		hmmodel.h \
		ancestralnode.h \
		treenode.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o terminalsequence.o terminalsequence.cpp

terminalnode.o: terminalnode.cpp terminalnode.h \
		treenode.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		terminalsequence.h \
		config.h \
		hmmodel.h \
		ancestralnode.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o terminalnode.o terminalnode.cpp

site.o: site.cpp site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		hmmodel.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o site.o site.cpp

sequence.o: sequence.cpp sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sequence.o sequence.cpp

readnewick.o: readnewick.cpp readnewick.h \
		treenode.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		ancestralnode.h \
		ancestralsequence.h \
		node.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readnewick.o readnewick.cpp

readfile.o: readfile.cpp readfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readfile.o readfile.cpp

readalignment.o: readalignment.cpp readalignment.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		treenode.h \
		phylomatchscore.h \
		ancestralsequence.h \
		terminalsequence.h \
		config.h \
		hmmodel.h \
		ancestralnode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readalignment.o readalignment.cpp

pwsite.o: pwsite.cpp pwsite.h \
		flmatrix.h \
		intmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pwsite.o pwsite.cpp

pwhirschberg.o: pwhirschberg.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		pwhirschberg.h \
		pwsite.h \
		exonerate_reads.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pwhirschberg.o pwhirschberg.cpp

progressivealignment.o: progressivealignment.cpp readnewick.h \
		treenode.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		readfile.h \
		writefile.h \
		ancestralnode.h \
		ancestralsequence.h \
		guidetree.h \
		progressivealignment.h \
		config.h \
		hmmodel.h \
		translatesequences.h \
		node.h \
		mafft_alignment.h \
		hirschberg.h \
		phylomatchscore.h \
		terminalsequence.h \
		readalignment.h \
		exonerate_reads.h \
		bppancestors.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o progressivealignment.o progressivealignment.cpp

prank.o: prank.cpp progressivealignment.h \
		config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		readfile.h \
		writefile.h \
		readnewick.h \
		guidetree.h \
		translatesequences.h \
		node.h \
		mafft_alignment.h \
		check_version.h \
		prank.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o prank.o prank.cpp

postprobability.o: postprobability.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		postprobability.h \
		phylomatchscore.h \
		terminalsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o postprobability.o postprobability.cpp

phylomatchscore.o: phylomatchscore.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		phylomatchscore.h \
		terminalsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o phylomatchscore.o phylomatchscore.cpp

node.o: node.cpp node.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o node.o node.cpp

intmatrix.o: intmatrix.cpp intmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o intmatrix.o intmatrix.cpp

hmmodel.o: hmmodel.cpp hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		eigen.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o hmmodel.o hmmodel.cpp

hirschberg.o: hirschberg.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		exonerate_reads.h \
		hirschberg.h \
		phylomatchscore.h \
		terminalsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o hirschberg.o hirschberg.cpp

guidetree.o: guidetree.cpp guidetree.h \
		flmatrix.h \
		intmatrix.h \
		pwhirschberg.h \
		pwsite.h \
		config.h \
		hmmodel.h \
		dbmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		translatesequences.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o guidetree.o guidetree.cpp

fullprobability.o: fullprobability.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		fullprobability.h \
		phylomatchscore.h \
		terminalsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o fullprobability.o fullprobability.cpp

flmatrix.o: flmatrix.cpp flmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o flmatrix.o flmatrix.cpp

eigen.o: eigen.cpp eigen.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eigen.o eigen.cpp

dbmatrix.o: dbmatrix.cpp dbmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dbmatrix.o dbmatrix.cpp

characterprobability.o: characterprobability.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		characterprobability.h \
		terminalsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o characterprobability.o characterprobability.cpp

boolmatrix.o: boolmatrix.cpp boolmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o boolmatrix.o boolmatrix.cpp

ancestralsequence.o: ancestralsequence.cpp ancestralsequence.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		config.h \
		hmmodel.h \
		ancestralnode.h \
		treenode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ancestralsequence.o ancestralsequence.cpp

ancestralnode.o: ancestralnode.cpp config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		writefile.h \
		hirschberg.h \
		phylomatchscore.h \
		terminalsequence.h \
		fullprobability.h \
		postprobability.h \
		characterprobability.h \
		terminalnode.h \
		readalignment.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ancestralnode.o ancestralnode.cpp

check_version.o: check_version.cpp check_version.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o check_version.o check_version.cpp

exonerate_reads.o: exonerate_reads.cpp exonerate_reads.h \
		config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h \
		translatesequences.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o exonerate_reads.o exonerate_reads.cpp

mafft_alignment.o: mafft_alignment.cpp mafft_alignment.h \
		config.h \
		hmmodel.h \
		dbmatrix.h \
		flmatrix.h \
		intmatrix.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		boolmatrix.h \
		ancestralsequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mafft_alignment.o mafft_alignment.cpp

bppancestors.o: bppancestors.cpp bppancestors.h \
		ancestralnode.h \
		treenode.h \
		sequence.h \
		site.h \
		intmatrix.h \
		flmatrix.h \
		dbmatrix.h \
		boolmatrix.h \
		ancestralsequence.h \
		config.h \
		hmmodel.h \
		readfile.h \
		readnewick.h

## prank 0.0.140110

=== debian/changelog ===
prank (0.0.140110-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 18:06:05 +0100

prank (0.0.130820-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #627391)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2013 14:29:31 +0100

=== debian/control ===
Source: prank
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Manuel Prinz <manuel@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
Homepage: http://code.google.com/p/prank-msa/

Package: prank
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: t-coffee
Description: Probabilistic Alignment Kit for DNA, codon and amino-acid sequences
 PRANK is a probabilistic multiple alignment program for DNA, codon
 and amino-acid sequences. It's based on a novel algorithm that treats
 insertions correctly and avoids over-estimation of the number of
 deletion events. In addition, PRANK borrows ideas from maximum
 likelihood methods used in phylogenetics and correctly takes into
 account the evolutionary distances between sequences. Lastly, PRANK
 allows for defining a potential structure for sequences to be aligned
 and then, simultaneously with the alignment, predicts the locations
 of structural units in the sequences.
 .
 PRANK is a command-line program for Unix-style environments but the
 same sequence alignment engine is implemented in the graphical
 program PRANKSTER. In addition to providing a user-friendly interface
 to those not familiar with Unix systems, PRANKSTER is an alignment
 browser for alignments saved in the HSAML format. The novel format
 allows for storing all the information generated by the aligner and
 the alignment browser is a convenient way to analyse and manipulate
 the data.
 .
 PRANK aims at an evolutionarily correct sequence alignment and often
 the result looks different from ones generated with other alignment
 methods. There are, however, cases where the different look is caused
 by violations of the method's assumptions. To understand why things
 may go wrong and how to avoid that, read this explanation of
 differences between PRANK and traditional progressive alignment
 methods.

## prank 0.0.150803

=== debian/changelog ===
prank (0.0.150803-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New homepage
  * d/watch: Adapt to new location
  * d/copyright: Upstream-Contact

  [ Sascha Steinbiss ]
  * Fix building with GCC 6
    Closes: #811827
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-*.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 13 May 2016 21:57:42 +0000

prank (0.0.150803-1) unstable; urgency=medium

  * New upstream version.
  * Team upload.

 -- Steffen Moeller <moeller@edebiaan.org>  Fri, 27 Nov 2015 17:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
-Homepage: http://code.google.com/p/prank-msa/
+Homepage: http://wasabiapp.org/software/prank/
 
 Package: prank
 Architecture: any
@@ -26,7 +26,7 @@
  and then, simultaneously with the alignment, predicts the locations
  of structural units in the sequences.
  .
- PRANK is a command-line program for Unix-style environments but the
+ PRANK is a command-line program for UNIX-style environments but the
  same sequence alignment engine is implemented in the graphical
  program PRANKSTER. In addition to providing a user-friendly interface
  to those not familiar with Unix systems, PRANKSTER is an alignment

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=src

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=$(SRCDIR) --parallel

override_dh_auto_clean:
	# No distclean! See README.source
	( cd $(SRCDIR) ; make clean )
	( cd $(SRCDIR) ; rm -f prank prank.1 )

override_dh_auto_build:
	dh_auto_build --verbose

override_dh_install:
	dh_install $(SRCDIR)/prank /usr/bin
	dh_installman $(SRCDIR)/prank.1

override_dh_installchangelogs:
	dh_installchangelogs VERSION_HISTORY

=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.0./" \
  http://wasabiapp.org/download/prank/ prank\.source\.(\d+)\.tgz

## prank 0.0.170427%2Bdfsg

=== debian/changelog ===
prank (0.0.170427+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:34 +0100

prank (0.0.170427+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added references to registries.
  * Added reference to paper shown in OMICtools

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #900191

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 16:03:27 +0200

prank (0.0.170427+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Exclude .git repository from upstream source
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 11:24:34 +0200

prank (0.0.150803-3) experimental; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Move packaging from SVN to Git

  [ Büşra Selin Pekişçi ]
  * Autopkgtest added
    Closes: #848329

 -- Büşra Selin Pekişçi <busra.pekisci@gmail.com>  Thu, 23 Mar 2017 01:32:50 +0300

## prank 0.0.170427+dfsg

=== debian/changelog ===
prank (0.0.170427+dfsg-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 15:25:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/prank
+Vcs-Git: https://salsa.debian.org/med-team/prank.git
 Homepage: http://wasabiapp.org/software/prank/
+Rules-Requires-Root: no
 
 Package: prank
 Architecture: any

=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.0./,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://wasabiapp.org/download/prank/ prank\.source\.(\d+)\.tgz

## prank 170703

=== debian/changelog ===
prank (170703-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * watch file standard 4 (routine-update)
  * Update FSF contact address in debian/copyright
  * Refresh Makefile patches and merge them.
  * New homepage

 -- Charles Plessy <plessy@debian.org>  Fri, 05 Sep 2025 11:14:08 +0900

## prank 250331

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = 
+DEFINES       = -DNDEBUG
 CFLAGS        = -m64 -pipe -O3 $(DEFINES)
 CXXFLAGS      = -m64 -pipe -O3 $(DEFINES)
 INCPATH       = -I. -I/usr/include
@@ -71,7 +71,10 @@
 		check_version.cpp \
 		exonerate_reads.cpp \
 		mafft_alignment.cpp \
-		bppancestors.cpp 
+		bppancestors.cpp \
+		raxmlancestors.cpp \
+		fasttree_tree.cpp \
+		raxmlrebl.cpp 
 OBJECTS       = writefile.o \
 		treenode.o \
 		translatesequences.o \
@@ -104,7 +107,10 @@
 		check_version.o \
 		exonerate_reads.o \
 		mafft_alignment.o \
-		bppancestors.o
+		bppancestors.o \
+		raxmlancestors.o \
+		fasttree_tree.o \
+		raxmlrebl.o
 DESTDIR       = 
 TARGET        = prank
 
@@ -158,15 +164,7 @@
 ####### Compile
 
 writefile.o: writefile.cpp writefile.h \
-		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		intmatrix.h \
-		flmatrix.h \
-		dbmatrix.h \
-		boolmatrix.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o writefile.o writefile.cpp
 
 treenode.o: treenode.cpp config.h \
@@ -175,14 +173,14 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		writefile.h \
+		treenode.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
 		hirschberg.h \
 		phylomatchscore.h \
+		ancestralsequence.h \
 		terminalsequence.h \
 		fullprobability.h \
 		postprobability.h \
@@ -195,12 +193,7 @@
 		dbmatrix.h \
 		flmatrix.h \
 		intmatrix.h \
-		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o translatesequences.o translatesequences.cpp
 
 terminalsequence.o: terminalsequence.cpp terminalsequence.h \
@@ -212,9 +205,7 @@
 		boolmatrix.h \
 		config.h \
 		hmmodel.h \
-		ancestralnode.h \
-		treenode.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o terminalsequence.o terminalsequence.cpp
 
 terminalnode.o: terminalnode.cpp terminalnode.h \
@@ -228,8 +219,7 @@
 		terminalsequence.h \
 		config.h \
 		hmmodel.h \
-		ancestralnode.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o terminalnode.o terminalnode.cpp
 
 site.o: site.cpp site.h \
@@ -238,10 +228,7 @@
 		dbmatrix.h \
 		boolmatrix.h \
 		hmmodel.h \
-		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o site.o site.cpp
 
 sequence.o: sequence.cpp sequence.h \
@@ -261,7 +248,6 @@
 		dbmatrix.h \
 		boolmatrix.h \
 		ancestralnode.h \
-		ancestralsequence.h \
 		node.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readnewick.o readnewick.cpp
 
@@ -295,11 +281,6 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		pwhirschberg.h \
 		pwsite.h \
 		exonerate_reads.h
@@ -316,7 +297,6 @@
 		readfile.h \
 		writefile.h \
 		ancestralnode.h \
-		ancestralsequence.h \
 		guidetree.h \
 		progressivealignment.h \
 		config.h \
@@ -324,12 +304,16 @@
 		translatesequences.h \
 		node.h \
 		mafft_alignment.h \
+		exonerate_reads.h \
+		bppancestors.h \
+		raxmlancestors.h \
+		fasttree_tree.h \
+		readalignment.h \
+		phylomatchscore.h \
+		ancestralsequence.h \
+		terminalsequence.h \
 		hirschberg.h \
-		phylomatchscore.h \
-		terminalsequence.h \
-		readalignment.h \
-		exonerate_reads.h \
-		bppancestors.h
+		raxmlrebl.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o progressivealignment.o progressivealignment.cpp
 
 prank.o: prank.cpp progressivealignment.h \
@@ -343,7 +327,6 @@
 		sequence.h \
 		site.h \
 		boolmatrix.h \
-		ancestralsequence.h \
 		readfile.h \
 		writefile.h \
 		readnewick.h \
@@ -351,6 +334,15 @@
 		translatesequences.h \
 		node.h \
 		mafft_alignment.h \
+		exonerate_reads.h \
+		bppancestors.h \
+		raxmlancestors.h \
+		fasttree_tree.h \
+		readalignment.h \
+		phylomatchscore.h \
+		ancestralsequence.h \
+		terminalsequence.h \
+		hirschberg.h \
 		check_version.h \
 		prank.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o prank.o prank.cpp
@@ -361,13 +353,12 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		postprobability.h \
-		phylomatchscore.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
+		phylomatchscore.h \
+		ancestralsequence.h \
 		terminalsequence.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o postprobability.o postprobability.cpp
 
@@ -377,12 +368,11 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
-		phylomatchscore.h \
+		phylomatchscore.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
+		ancestralsequence.h \
 		terminalsequence.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o phylomatchscore.o phylomatchscore.cpp
 
@@ -397,11 +387,6 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		eigen.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o hmmodel.o hmmodel.cpp
 
@@ -411,31 +396,26 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		exonerate_reads.h \
 		hirschberg.h \
-		phylomatchscore.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
+		phylomatchscore.h \
+		ancestralsequence.h \
 		terminalsequence.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o hirschberg.o hirschberg.cpp
 
 guidetree.o: guidetree.cpp guidetree.h \
 		flmatrix.h \
 		intmatrix.h \
+		fasttree_tree.h \
+		config.h \
+		hmmodel.h \
+		dbmatrix.h \
+		ancestralnode.h \
 		pwhirschberg.h \
 		pwsite.h \
-		config.h \
-		hmmodel.h \
-		dbmatrix.h \
-		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		translatesequences.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o guidetree.o guidetree.cpp
 
@@ -445,13 +425,12 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		fullprobability.h \
-		phylomatchscore.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
+		phylomatchscore.h \
+		ancestralsequence.h \
 		terminalsequence.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o fullprobability.o fullprobability.cpp
 
@@ -470,12 +449,11 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		characterprobability.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
+		ancestralsequence.h \
 		terminalsequence.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o characterprobability.o characterprobability.cpp
 
@@ -491,8 +469,7 @@
 		boolmatrix.h \
 		config.h \
 		hmmodel.h \
-		ancestralnode.h \
-		treenode.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ancestralsequence.o ancestralsequence.cpp
 
 ancestralnode.o: ancestralnode.cpp config.h \
@@ -501,14 +478,14 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		writefile.h \
+		treenode.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h \
 		hirschberg.h \
 		phylomatchscore.h \
+		ancestralsequence.h \
 		terminalsequence.h \
 		fullprobability.h \
 		postprobability.h \
@@ -527,11 +504,6 @@
 		flmatrix.h \
 		intmatrix.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h \
 		translatesequences.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o exonerate_reads.o exonerate_reads.cpp
 
@@ -541,25 +513,42 @@
 		dbmatrix.h \
 		flmatrix.h \
 		intmatrix.h \
-		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		boolmatrix.h \
-		ancestralsequence.h
+		ancestralnode.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mafft_alignment.o mafft_alignment.cpp
 
 bppancestors.o: bppancestors.cpp bppancestors.h \
 		ancestralnode.h \
-		treenode.h \
-		sequence.h \
-		site.h \
-		intmatrix.h \
-		flmatrix.h \
-		dbmatrix.h \
-		boolmatrix.h \
-		ancestralsequence.h \
-		config.h \
-		hmmodel.h \
+		config.h \
+		hmmodel.h \
+		dbmatrix.h \
+		flmatrix.h \
+		intmatrix.h \
 		readfile.h \
-		readnewick.h
+		readnewick.h \
+		treenode.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bppancestors.o bppancestors.cpp
+
+raxmlancestors.o: raxmlancestors.cpp raxmlancestors.h \
+		ancestralnode.h \
+		config.h \
+		hmmodel.h \
+		dbmatrix.h \
+		flmatrix.h \
+		intmatrix.h \
+		readfile.h \
+		readnewick.h \
+		treenode.h \
+		sequence.h \
+		site.h \
+		boolmatrix.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o raxmlancestors.o raxmlancestors.cpp
+
+fasttree_tree.o: fasttree_tree.cpp fasttree_tree.h \
+		config.h \
+		hmmodel.h \
+		dbmatrix.h \
+		flmatrix.h \
+		intmatrix.h \

=== debian/changelog ===
prank (250331-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh Makefile patch and forward it.
  * Replace test data file with one from upstream documentation.

 -- Charles Plessy <plessy@debian.org>  Mon, 08 Sep 2025 09:06:19 +0900

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/prank
 Vcs-Git: https://salsa.debian.org/med-team/prank.git
-Homepage: http://wasabiapp.org/software/prank/
+Homepage: https://ariloytynoja.github.io/prank-msa/
 Rules-Requires-Root: no
 
 Package: prank

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --sourcedirectory=$(SRCDIR) --parallel
+	dh $@ --sourcedirectory=$(SRCDIR)
 
 override_dh_auto_clean:
 	# No distclean! See README.source

=== debian/watch ===
version=4
opts="uversionmangle=s/^/0.0./,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://wasabiapp.org/download/prank/ prank\.source\.(\d+)\.tgz
